Subject: [Dime] IETF87 Dime meeting: question regarding sequencing

From: Andrew Booth <[email-masked]>
Date: Fri, 2 Aug 2013 09:57:28 -0400

Hi,

I was listening to the IETF Dime meeting remotely this morning.  At one point there was a very brief side discussion about whether explicit sequencing information would be required for overload information.  There was a comment that out of order delivery of overload information was not a concern in a diameter network that was configured as per the Diameter specifications, but could be a concern in networks that were incorrectly configured (in ways that might be currently in deployment).

It seems to me that out of order delivery is possible in Diameter even in simple networks (SCTP unordered delivery, for starters), that in more complicated networks there are even more opportunities for out of order delivery, and that overload situations might make usually small time gaps bigger.

Can anyone clarify this (is sequencing a concern, and if not then why)?

Thanks for any info,
Andrew

---

From: Jouni Korhonen <[email-masked]>
Date: Tue, 6 Aug 2013 13:01:15 +0300

In general out of order delivery is not a concern, since for most parts Diameter is a lock-step protocol. Some of the known corner cases are documented in RFC6733 Section 2.1.1.  and appendix C.

Now specifically regarding the overload control information delivery, depending on the "delivery solution", it is more likely that overload information could arrive in out of order. Whether that is an issue, is a different thing. For example, if the overload information is piggybacked on any application, then there is no guarantee which route those commands take and which order they arrive. Specifically if the overload information "request" can be sent without first waiting for the "answer" to arrive. This is what I reasoned. Maybe others have different ideas, scenarios or concerns.

- Jouni

On Aug 2, 2013, at 4:57 PM, Andrew Booth <[email-masked]> wrote:

> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dime